Imcu = 650*10^-9; %sleep current mcu
Imcu_on = 6*10^-3; %mcu active current
Iradio = 50*10^-9; %radio sleep/idle current
Irx = 13.7*10^-3; %radio current in rx mode
Itx = 10*10^-3; %radio current tx mode 20dBm
Itcxo = 6.1*10^-3 % strmforbruk tcxp
Datarate = 10*10^3; %tx data rate
SF = 1000; %spreading factor

Iidle = Imcu + Iradio
Movements = 100; %Number of car movements in each parking spot (50*2)
PPMs_tx = 1; %packets per movement from sensor tx
PPMs_rx = 0; %recieved packets per movement



%calculate power consumption for +20dBm, CDMA
Time_tx = ((SF)*Movements*(PPMs_tx))/(Datarate*3600*24) % prosentvis nettverkslast per sensor
Time_rx = ((SF)*Movements*(PPMs_rx))/(Datarate*3600*24)
Time_tcxo = Time_tx + ((Movements*PPMs_tx*(5*10^-3))/(3600*24))

I1mcu = (Time_tx + Time_rx) * Imcu_on*2
I1tx = Time_tx*Itx
Itxtcxo = Time_tcxo*Itcxo + Time_tx*Itcxo
I1rx = Time_rx*Irx
Idaglig = I1mcu+Iidle+I1tx+Itxtcxo

Batterylife = (2.5/(Idaglig))/(24*365)

%calculate power consumption for 0dBm, CDMA, chiprate=1024:
Itx = 10*10^-3
Time_tx = ((2^SF)*Movements*(PPMs_tx))/(Datarate*3600*24) % daily network load per movement
Time_rx = ((2^SF)*Movements*(PPMs_rx))/(Datarate*3600*24)
I2mcu = (Time_tx + Time_rx) * Imcu_on *2
I2tx = Time_tx*Itx
I2rx = Time_rx*Irx

%calculate power consumption for 0dBm, narrowband FSK
SF = 0
Itx = 10*10^-3

Time_tx = ((2^SF)*Movements*(PPMs_tx))/(Datarate*3600*24) % daily network load per movement
Time_rx = ((2^SF)*Movements*(PPMs_rx))/(Datarate*3600*24)
I3mcu = (Time_tx + Time_rx) * Imcu_on * 2
I3tx = Time_tx*Itx
I3rx = Time_rx*Irx 


%calculate power consumption for 20dBm, narrowband FSK
PPMs_tx = 2; %packets per movement from sensor tx
PPMs_rx = 1; %recieved packets per movement
Itx = 43*10^-3
Time_tx = ((1)*Movements*64*(PPMs_tx))/(Datarate*3600*24) % daily network load per movement
Time_rx = ((1)*Movements*3*64*(PPMs_rx))/(Datarate*3600*24)
I4mcu = (Time_tx + Time_rx) * Imcu_on * 2
I4tx = Time_tx*Itx
I4rx = Time_rx*Irx 


%plot bargraph
cdma = [Iidle I1mcu I1tx I1rx Itxtcxo;Iidle I4mcu I4tx I4rx 0];
%bar(cdma)
bar(cdma,'stacked')
