/**************************************************************************//**
 * @file
 * @brief Empty Project
 * @author Energy Micro AS
 * @version 3.20.2
 ******************************************************************************
 * @section License
 * <b>(C) Copyright 2014 Silicon Labs, http://www.silabs.com</b>
 *******************************************************************************
 *
 * This file is licensed under the Silicon Labs Software License Agreement. See 
 * "http://developer.silabs.com/legal/version/v11/Silicon_Labs_Software_License_Agreement.txt"  
 * for details. Before using this software for any purpose, you must agree to the 
 * terms of that agreement.
 *
 ******************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include "InitDevice.h"
#include "em_device.h"
#include "em_chip.h"
#include "em_cmu.h"
#include "em_emu.h"

/**************************************************************************//**
 * @brief  Main function
 *****************************************************************************/
volatile uint32_t msTicks; /* counts 1ms timeTicks */

void Delay(uint32_t dlyTicks);

void SysTick_Handler(void)
{
    msTicks++;
}

void Delay(uint32_t dlyTicks)
{
    uint32_t curTicks;

    curTicks = msTicks;
    while ((msTicks - curTicks) < dlyTicks);
}

int main(void)
{
  /* Chip errata */
  CHIP_Init();
  if (SysTick_Config(CMU_ClockFreqGet(cmuClock_CORE) / 1000)) while (1);
  enter_DefaultMode_from_RESET();
  CMU_enter_DefaultMode_from_RESET();
  PORTIO_enter_DefaultMode_from_RESET();


if (SysTick_Config(CMU_ClockFreqGet(cmuClock_CORE) / 1000)) while (1);


  /* Infinite loop */
  while (1) {
  GPIO->P[3].DOUTTGL = 1 << 5;
  Delay(1000);
  }

}
